%define name evolution-sharp
%define version 0.6
%define release 1mdk

Summary: Evolution C# bindings for mono
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
License: GPL
Group: Development/Other
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: evolution-data-server-devel >= 0.0.93
BuildRequires: mono-devel
BuildRequires: gtk-sharp-devel
Requires: %mklibname evolution-data-server 3

%description
Evolution# is a .NET language binding for various Ximian Evolution (tm)
libraries.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README MAINTAINERS AUTHORS ChangeLog
%_libdir/mono/evolution-sharp/
%_libdir/mono/gac/evolution-sharp/
%_libdir/pkgconfig/evolution-sharp.pc
%_datadir/gapi/evolution-api.xml

%changelog
* Fri Feb 11 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- 0.6

* Fri Jan 21 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.6-0.20040121.1mdk
- update to snapshot
- New release 0.6

* Mon Sep 20 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.4-1mdk
- New release 0.4

* Thu Sep  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3-2mdk
- fix deps

* Thu Sep  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3-1mdk
- initial package
